<?php
namespace Ak\Wp\Model;

/**
 * Entiteti koji implementiraju ovo sučelje imaju meta-podatke.
 *
 * @package Ak\Wp\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-model
 */
interface MetaAwareInterface
{
    /**
     * Vraća vrijednost meta-podatka s datim ključem, $default ako meta-podatak ne postoji.
     *
     * @param string $key
     * @param mixed $default
     *
     * @return mixed
     */
    public function getMeta(string $key, $default = null);

    /**
     * Postavlja vrijednost meta-podatka s datim ključem.
     *
     * @param string $key
     * @param mixed $value
     */
    public function setMeta(string $key, $value): void;
}